OpenJPEG: cache_param Struct Reference

OpenJPEG 2.5.3

Data Fields
cache_param Struct Reference

cache parameters More...

`#include <cache_manager.h>`

## Data Fields
char * | filename
| file name
char * | tid
| taregt identifier
int | csn
| codestream number
char ** | cid
| dynamic array of channel identifiers
int | numOfcid
| number of cids
metadatalist_param_t * | metadatalist
| metadata-bin list
ihdrbox_param_t * | ihdrbox
| ihdrbox
struct cache_param * | next
| pointer to the next cache

## Detailed Description

cache parameters

## Field Documentation

## ◆ cid

char** cache_param::cid

dynamic array of channel identifiers

Referenced by add_cachecid(), gene_cache(), handle_CIDreqMSG(), print_cache(), remove_cidInCache(), and search_cacheBycid().

## ◆ csn

int cache_param::csn

codestream number

Referenced by gene_cache(), handle_JP2saveMSG(), handle_PNMreqMSG(), handle_SIZreqMSG(), print_cache(), and search_cacheBycsn().

## ◆ filename

char* cache_param::filename

file name

Referenced by gene_cache(), print_cache(), search_cache(), and update_cachetid().

## ◆ ihdrbox

ihdrbox_param_t* cache_param::ihdrbox

ihdrbox

Referenced by gene_cache(), and handle_SIZreqMSG().

## ◆ metadatalist

metadatalist_param_t* cache_param::metadatalist

metadata-bin list

Referenced by gene_cache(), handle_JPIPstreamMSG(), and handle_XMLreqMSG().

## ◆ next

struct cache_param* cache_param::next

pointer to the next cache

Referenced by delete_cachelist(), gene_cache(), insert_cache_into_list(), print_allcache(), search_cache(), search_cacheBycid(), search_cacheBycsn(), and search_cacheBytid().

## ◆ numOfcid

int cache_param::numOfcid

number of cids

Referenced by add_cachecid(), gene_cache(), handle_CIDreqMSG(), print_cache(), remove_cidInCache(), and search_cacheBycid().

## ◆ tid

char* cache_param::tid

taregt identifier

Referenced by gene_cache(), handle_TIDreqMSG(), print_cache(), search_cacheBytid(), and update_cachetid().

The documentation for this struct was generated from the following file:

- cache_manager.h